
Foreman - Feature #23462

Bump version of patternfly-react to support inline edits

04/30/2018 02:47 PM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5514,

https://github.com/theforeman/foreman/p

ull/5529,

https://github.com/theforeman/foreman/p

ull/5533

  

Description

We need to require patternfly-react >= 2.1.0 to provide support for inline editing in tables for both core and plugins.

Related issues:

Blocks Katello - Feature #22734: Add ability to edit Red Hat Subscription ent... Closed 02/28/2018

Associated revisions

Revision f927833c - 05/03/2018 03:35 PM - Tomáš Strachota

Fixes #23462 - bump patternfly-react to ^2.1.0

patternfly-react 2.1.0 introduced inline editing for tables.

Revision e5ca4f3e - 05/04/2018 02:12 PM - Ewoud Kohl van Wijngaarden

Refs #23462 - Allow newer patternfly

patternfly-react 2.1.0 depends on patternfly >= 3.42.0. This is at least

needed in our packaging but I think it makes sense in general to align

these.

History

#1 - 04/30/2018 02:47 PM - Tomáš Strachota

- Blocks Feature #22734: Add ability to edit Red Hat Subscription entitlement quantities added

#2 - 04/30/2018 02:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5514 added

#3 - 05/03/2018 03:36 PM - Anonymous

- translation missing: en.field_release set to 353

#4 - 05/03/2018 04:02 PM - Tomáš Strachota

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f927833c5dafa6859afe009e29e2a04c8f7ae231.

#5 - 05/04/2018 09:01 AM - Tomáš Strachota
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f927833c5dafa6859afe009e29e2a04c8f7ae231


- translation missing: en.field_release changed from 353 to 330

I'm switching the release to 1.18 as that pf-react version was required by Katello 3.7.

#6 - 05/04/2018 12:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5529 added

#7 - 05/04/2018 11:38 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5533 added
